Bug 220743 - Review Request: postgis - Geographic Information Systems Extensions to PostgreSQL
Summary: Review Request: postgis - Geographic Information Systems Extensions to Postgr...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
: 171040 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-12-25 14:35 UTC by Devrim GUNDUZ
Modified: 2016-02-23 15:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-27 21:56:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Devrim GUNDUZ 2006-12-25 14:35:25 UTC
Spec URL: http://developer.postgresql.org/~devrim/rpms/other/postgis/postgis.spec
SRPM URL: http://developer.postgresql.org/~devrim/rpms/other/postgis/postgis-1.2.0-1.src.rpm
Description: 
PostGIS adds support for geographic objects to the PostgreSQL object-relational
database. In effect, PostGIS "spatially enables" the PostgreSQL server,
allowing it to be used as a backend spatial database for geographic information
systems (GIS), much like ESRI's SDE or Oracle's Spatial extension. PostGIS
follows the OpenGIS "Simple Features Specification for SQL" and has been
certified as compliant with the "Types and Functions" profile.

Comment 1 Ruben Kerkhof 2006-12-26 12:36:19 UTC
Review for release 1:
* RPM name is OK
* Source postgis-1.2.0.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of postgis-utils looks OK
* rpmlint of postgis-jdbc looks OK
* rpmlint of postgis looks OK
* File list of postgis-utils looks OK
* File list of postgis-jdbc looks OK
* File list of postgis looks OK

Needs work:
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* Spec file: some paths are not replaced with RPM macros
  (wiki: QAChecklist item 7)

Minor:
* Duplicate BuildRequires: jpackage-utils (by ant), ant (by ant-junit), junit (by ant-junit)


Comment 2 Devrim GUNDUZ 2006-12-26 12:49:25 UTC
Hi,

(In reply to comment #1)
> Review for release 1:
<snip>
> Needs work:
> * BuildRoot should be
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
>   (wiki: PackagingGuidelines#BuildRoot)

Ok, fixed.

> * Spec file: some paths are not replaced with RPM macros
>   (wiki: QAChecklist item 7)

Oops, fixed. Please let me know if I'm still missing one.

> Minor:
> * Duplicate BuildRequires: jpackage-utils (by ant), ant (by ant-junit), junit
(by ant-junit)

Very good catch. This is fixed, too.

Spec URL: http://developer.postgresql.org/~devrim/rpms/other/postgis/postgis.spec
SRPM URL:
http://developer.postgresql.org/~devrim/rpms/other/postgis/postgis-1.2.0-2.src.rpm


Thanks for the review.

Regards, Devrim



Comment 3 Ruben Kerkhof 2006-12-27 21:33:01 UTC
Must items:

OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL,LGPL for the jdbc driver)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
59b5f89d0a0230b00d80e779bb517520  postgis-1.2.0.tar.gz
59b5f89d0a0230b00d80e779bb517520  postgis-1.2.0.tar.gz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files are good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have sane scriptlets.
NOT OK - Should have subpackages require base package with fully versioned
depend. You need Requires: %{name} = %{version}-%{release}
OK - Should have dist tag
OK - Should package latest version

I'll accept the package trusting you'll fix that last item.

Comment 4 Devrim GUNDUZ 2007-03-26 07:08:15 UTC
Package Change Request
======================
Package Name: postgis
Owner: devrim@CommandPrompt.com 

Details:

Fedora Extras|postgis|Geographic Information Systems Extensions to
PostgreSQL|devrim@CommandPrompt.com|extras-qa@fedoraproject.org|

Could you please add this package to owners.list?

Thanks, Devrim

Comment 5 Kevin Fenzi 2007-06-26 19:20:20 UTC
cvs done. 
Sorry this got missed, but you didn't set the fedora-cvs flag, so cvsadmins
didn't see it until now. 

Comment 6 Devrim GUNDUZ 2007-06-26 19:26:43 UTC
AFAIR this package was approved before we added these flags to bugzilla... Also
there is CVS directory for Postgis already :) But thanks anyway.

Regards, Devrim

Comment 7 Kevin Fenzi 2007-06-26 19:30:44 UTC
Yeah, could be... however, it didn't have a owners.list entry, so no bugzilla
component and all sorts of other issues. Also, it doesn't appear to have a F-7
branch. Feel free to request one if you need it. 

Comment 8 Devrim GUNDUZ 2007-07-02 14:46:53 UTC
Package Change Request
======================
Package Name: postgis
New Branches : F-7 EL-5 

Comment 9 Devrim GUNDUZ 2007-11-21 23:04:53 UTC
Package Change Request
======================
Package Name: postgis
New Branches: EL-4

Comment 10 Kevin Fenzi 2007-11-22 19:34:31 UTC
cvs done.

Comment 11 Peter Lemenkov 2016-02-23 15:35:07 UTC
*** Bug 171040 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.